<?php	

class connect{
	
	   private $oscam;
	   
	   public $dieIps;
	   
	   public $protokoll = "http";
	   
	    
     function __construct($part,$label){
             $part.=(empty($label))?"":"&label=".$label;
             if(empty($_COOKIE["aktReader"])){
                $keys = array_keys($_SESSION["oscaminfo_auth"]["oscam"]);
                $_COOKIE["aktReader"] = $keys[0];
                }

             if($_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["ssl"]) $this->protokoll = "https";
 
             
             $this->oscam = curl_init($this->protokoll."://".$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["url"].':'.$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["port"].'/oscamapi.html?part='.$part);
             
             $this->readIps();
             $this->dieIps["write_clients"] = false;
             $this->dieIps["write_reader"] = false;
             }

     function __destruct(){
             curl_close($this->oscam);
             }

     public function getData(){
             curl_setopt($this->oscam,CURLOPT_TIMEOUT,10);
             curl_setopt($this->oscam,CURLOPT_FAILONERROR,1);
             curl_setopt($this->oscam,CURLOPT_HTTPAUTH, CURLAUTH_DIGEST);
             curl_setopt($this->oscam,CURLOPT_RETURNTRANSFER,1);
             
             if(((boolean) PROXY_URL) && ((boolean) PROXY_PORT)){
                 curl_setopt($this->oscam, CURLOPT_PROXY, "http://".PROXY_URL.":".PROXY_PORT);
                 curl_setopt($this->oscam, CURLOPT_PROXYPORT, PROXY_PORT);
                 if(((boolean) PROXY_USER) && ((boolean) PROXY_PASS)) curl_setopt($this->oscam, CURLOPT_PROXYUSERPWD, PROXY_USER.":".PROXY_PASS);
                 }
             
             curl_setopt($this->oscam,CURLOPT_USERPWD,$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["user"].':'.$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["pass"]);
             if($_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["ssl"]){
	        curl_setopt($this->oscam,CURLOPT_SSL_VERIFYHOST, 0);
                curl_setopt($this->oscam,CURLOPT_SSL_VERIFYPEER, 0);
                }
				
             return simplexml_load_string(curl_exec($this->oscam),'SimpleXMLElement', LIBXML_NOCDATA);
	           }
	           
function writeIps($type){
	       if(!$this->dieIps["write_".$type]) return;
	       $write = serialize($this->dieIps[$type]);
	       $openStream = fopen ("ips/".$type,"w");
	       fwrite($openStream,$write,strlen($write)); 
	       fclose($openStream);
         }

function readIps(){
         if(file_exists("ips/reader")){
            $this->dieIps["reader"] = unserialize(trim(file_get_contents("ips/reader")));
            } 
         else{
            $this->dieIps["reader"] = array();
            }
	 
	 if(file_exists("ips/clients")){
	    $this->dieIps["clients"] = unserialize(trim(file_get_contents("ips/clients")));
	    } 
	 else{
	   $this->dieIps["reader"] = array();
	    }
	}
	
function getLogo($caid,$sid){

         if($caid=="0000" || $sid=="0000") return false;
         
         $fetchNew = true;
         
         if(file_exists('logos/'.$caid.'_'.$sid.'.png')){
         
            if(filemtime('logos/'.$caid.'_'.$sid.'.png')<time()-(86400*intval(CHANNEL_PICONS))){
               unlink('logos/'.$caid.'_'.$sid.'.png');
               }
            else{
               $cached = false;
               }
            }

         if($fetchNew){
            $logoGfx = curl_init($this->protokoll."://".$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["url"].':'.$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["port"].'/image?i=IC_'.$caid.'_'.$sid);
            curl_setopt($logoGfx,CURLOPT_TIMEOUT,10);
            curl_setopt($logoGfx,CURLOPT_FAILONERROR,1);
            curl_setopt($logoGfx,CURLOPT_HTTPAUTH, CURLAUTH_DIGEST);
            curl_setopt($logoGfx,CURLOPT_RETURNTRANSFER,1);
             
            if(((boolean) PROXY_URL) && ((boolean) PROXY_PORT)){
                curl_setopt($logoGfx, CURLOPT_PROXY, "http://".PROXY_URL.":".PROXY_PORT);
                curl_setopt($logoGfx, CURLOPT_PROXYPORT, PROXY_PORT);
                if(((boolean) PROXY_USER) && ((boolean) PROXY_PASS)) curl_setopt($this->oscam, CURLOPT_PROXYUSERPWD, PROXY_USER.":".PROXY_PASS);
                }
             
            curl_setopt($logoGfx,CURLOPT_USERPWD,$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["user"].':'.$_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["pass"]);
            if($_SESSION["oscaminfo_auth"]["oscam"][$_COOKIE["aktReader"]]["ssl"]){
               curl_setopt($logoGfx,CURLOPT_SSL_VERIFYHOST, 0);
               curl_setopt($logoGfx,CURLOPT_SSL_VERIFYPEER, 0);
               }
            $openStream = fopen ("logos/".$caid.'_'.$sid.'.png',"w");
            $write = curl_exec($logoGfx);
            fwrite($openStream,$write,strlen($write)); 
            fclose($openStream);
            }
         
         if(!getimagesize('logos/'.$caid.'_'.$sid.'.png')){
            unlink('logos/'.$caid.'_'.$sid.'.png');
            return false;
           }
         list($width, $height) = getimagesize('logos/'.$caid.'_'.$sid.'.png');
         $newwidth = round($width * 0.25);
         $newheight = round($height * 0.25);
         
         /*
         $thumb = imagecreate($newwidth, $newheight);
         $source = imagecreatefrompng('logos/'.$caid.'_'.$sid.'.png');
         ImageAlphaBlending($source, true); 
         ImageSaveAlpha($source, true);
         imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
         imagepng($thumb,'logos/thumb_'.$caid.'_'.$sid.'.png');
         */
         
         return 'rel="tooltip" src="logos/'.$caid.'_'.$sid.'.png" width="'.$newwidth.'" height="'.$newheight.'"';
         }

function getIp($IP){
	
  if(((boolean) PROXY_URL) && ((boolean) PROXY_PORT)) return "proxy";	 
 
  $ret = "";
  if ($IP == "unknown" || $IP == "0.0.0.0" || empty($IP)){
      return "unknown";
  }

  if ($IP =="127.0.0.1"){
      return "local";; 
  }
  else{
     
      // apnic.net> - Asia pacific
      // ripe.net> - Europe
      // arin.net> - North America
      // lacnic.net> - Latin America
      // afrinic.net> - Africa and Indian Ocean


      $SERVERE=array("whois.ripe.net","whois.afrinic.net","whois.arin.net","whois.lacnic.net","whois.apnic.net");
      foreach($SERVERE as $SERVER)
      {


         @$CON=fsockopen($SERVER,43, $errno, $errstr, 10);
         if (!$CON){
            continue;
         }

         @fputs($CON,$IP."\r\n");
         unset($OUT);
         $OUT = "";
         while(!feof($CON))
         {
            $OUT.=fread($CON,1000);
         }
         

         if (strpos($OUT,"ERROR")===false && strpos($OUT,"NOT FOUND")===false && strpos($OUT,"No data found")===false && strpos($OUT,"No match for")===false)
         {
         	
            $OUT_LIST = explode("\n",htmlspecialchars($OUT));
            foreach($OUT_LIST as $linie)
            {

            	$linie = trim($linie);
            		
               if (strstr(strtoupper($linie),"COUNTRY:"))
               {
                  list($temp, $rest) = explode(":", $linie);
                  $ret = trim(strtoupper($rest));
               }
               
               if (strstr(strtoupper($linie),"DESCR:"))
               {
                  list($temp, $DESCRIERE) = explode(":", $linie);

                  if (strstr($DESCRIERE,"for private"))
                  {
                     $ret="LOCAL";
                  }

               }
               if(!empty($ret) && !stristr($ret,"#")) return $ret;
            }
            
         }
      }
      
   

   return $ret;
  }
}

}
?>
