<?php	
require('config.global.php');
require('lang/'.LANGUAGE.'.inc.php');
require('lang/tld.inc.php');
require('class.connect.php');

class data extends connect{
	 
	   private $dataObject;
 	    
     function __construct($part='status',$label=''){
             parent::__construct($part,$label);
             $this->dataObject = parent::getData();
             }

     function __destruct(){
             unset($this->dataObject);
             }
             
     function getLog(){

       	      $data = array();
              $data['page'] = $_POST["page"];
              $data['rows'] = array();
     	        $count = 0;
     	        $logs = explode("\n",$this->dataObject->log[0]);
     	        for($i=0;$i<count($logs);$i++){
     	        	  if(trim($logs[$i])=="")continue;
     	        	  
     	        	  $class = "";
     	        	  
     	        	  if(stristr($logs[$i],"found ("))$class = "reader_ok";
     	        	  if(stristr($logs[$i],"not found") || stristr($logs[$i],"rejected"))$class = "reader_error";	
     	        	  if(stristr($logs[$i],"timeout"))$class = "reader_timeout";
     	        	  if(stristr($logs[$i],"cache"))$class = "reader_cache";
     	        	  if(stristr($logs[$i],"error"))$class = "reader_error";	
     	        	  
     	        		if(!empty($_POST["query"]) && !stristr($logs[$i],$_POST["query"])){
                        continue;
                       }
                       
                       $yesClients = true;
                       $yesReaders = true;
                       
                       if(count($_SESSION["oscaminfo_auth"]["onlyclients"]) > 0){
                               $yesClients = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyclients"]);$iA++){
	                           if(stristr($logs[$i],trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA])))$yesClients = true;
	                           }
	                       }                  

                       if(count($_SESSION["oscaminfo_auth"]["onlyreaders"]) > 0){
                               $yesReaders = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyreaders"]);$iA++){
	                           if(stristr($logs[$i],trim($_SESSION["oscaminfo_auth"]["onlyreaders"][$iA])))$yesReaders = true;                        
	                           }
	                       }                  
                       if(!$yesClients && !$yesReaders) continue;
                  $cells[] = array("logoutput"=>'<span class="'.$class.'">'.trim($logs[$i]).'</span>');
              	  $count++;
     	        	
     	        	  }
     	        $data['rows'] = $cells;
              $data['total'] = $count;
              
              echo json_encode($data);
     	        }
     	        
     	        
     function getServerCWStats(){
     	        $rand = rand(1000,9999);   
              echo '<div id="graph_srv_'.$rand.'" style="height:555px;width:555px"></div>';
              echo '<script>';
              if($_GET["srv"] == "dg"){
                echo 'var data = [';
    	        echo '{ label: "'.LNG_CLIENT_INFO_CW_OK.' ('.$this->dataObject->totals->cwok.')", data: '.$this->dataObject->totals->cwok.',color:"#009900" },';
    	        echo '{ label: "'.LNG_CLIENT_INFO_CW_NOK.' ('.$this->dataObject->totals->cwnok.')", data: '.$this->dataObject->totals->cwnok.',color:"#FF0000"  },';
    	        echo '{ label: "'.LNG_CLIENT_INFO_CW_IGNORE.' ('.$this->dataObject->totals->cwignore.')", data: '.$this->dataObject->totals->cwignore.',color:"#FEC500"  },';
    	        echo '{ label: "'.LNG_CLIENT_INFO_CW_TIMEOUT.' ('.$this->dataObject->totals->cwtimeout.')", data: '.$this->dataObject->totals->cwtimeout.',color:"#FF8000"  },';
    	        echo '{ label: "'.LNG_CLIENT_INFO_CW_CWCACHE.' ('.$this->dataObject->totals->cwcache.')", data: '.$this->dataObject->totals->cwcache.',color:"#0000FF"  }';
    	        echo '];';
              }
              else{
               $ergArray = array();
               for($i=0;$i<count($this->dataObject->users->user);$i++){
               	   if(count($_SESSION["oscaminfo_auth"]["onlyclients"]) > 0){
	                    $showThisClient = false;
	                    for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyclients"]);$iA++){
	                    	
	                        $dasProto = explode(" ",(String)$this->dataObject->users->user[$i]["protocol"]);
	                                     if(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA])==(String)$this->dataObject->users->user[$i]["name"] ||                                 stristr(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA]),$dasProto[0]))$showThisClient = true;
	                           }
	                       if(!$showThisClient)continue;
	                       } 
               	
                  $counter = $this->dataObject->users->user[$i]->stats->cwok;
                  $counter+= $this->dataObject->users->user[$i]->stats->cwnok;
                  $counter+= $this->dataObject->users->user[$i]->stats->cwignore;
                  $counter+= $this->dataObject->users->user[$i]->stats->cwtimeout;
                  $counter+= $this->dataObject->users->user[$i]->stats->cwcache;
                  if($counter>0) $ergArray[(String)$this->dataObject->users->user[$i]["name"]] = $counter;
                  }
               arsort($ergArray);
               $c = 0;
               $cc = count($ergArray);
               echo 'var data = [';
               while(list($k,$v)=each($ergArray)){
                     $c++;
                     $trenner = ($c<$cc)?",\n":"\n";
                     echo '{ label: "'.$k.' ('.$v.')", data: '.$v.'}'.$trenner;
                     }
               echo '];';
               }

              echo '$.plot($("#graph_srv_'.$rand.'"), data,
              {
              series: {
              pie: {
                   show: true,
                   radius: 1,
                   label: {
                          show: true,
                          radius: 0.6,
                          formatter: function(label, series){
                                     label = label.split(" (");
                                     return \'<div style="top:40px;font-size:8pt;text-align:center;padding:2px;color:white;">\'+label[0]+\'<br/>\'+label[1].replace(/\)/,"")+\'<br>\'+series.percent.toFixed(2).replace(/\./,",")+\'%</div>\';
                                     },
                          background: { opacity: 0.8 }
                          }
                   }
                },
              legend: {
                      show: true
                }
              });';
              echo '</script>';              
              }        	        
             
     function getClientDetail(){
              echo '<div id="reader_info_label">'.LNG_CLIENT_INFO_LABEL.':</div>';
              echo '<div id="reder_info_text">';
              echo LNG_CLIENT_AKT_STATUS.'='.$this->dataObject->users->user["status"].'  &bull;  ';
              echo LNG_CLIENT_AKT_IP.'='.$this->dataObject->users->user["ip"];
              echo '</div>';
              echo '<div id="reader_info_label">'.LNG_CLIENT_INFO_CW.':</div>';
              echo '<div id="reder_info_text">';
              echo '<span class="reader_ok">'.LNG_CLIENT_INFO_CW_OK.'='.$this->dataObject->users->user->stats->cwok.'</span> &bull;  ';
              echo '<span class="reader_error">'.LNG_CLIENT_INFO_CW_NOK.'='.$this->dataObject->users->user->stats->cwnok.'</span>  &bull;  ';
              echo '<span class="reader_unknown">'.LNG_CLIENT_INFO_CW_IGNORE.'='.$this->dataObject->users->user->stats->cwignore.'</span>  &bull;  ';
              echo '<span class="reader_timeout">'.LNG_CLIENT_INFO_CW_TIMEOUT.'='.$this->dataObject->users->user->stats->cwtimeout.'</span>  &bull;  ';
              echo '<span class="reader_cache">'.LNG_CLIENT_INFO_CW_CWCACHE.'='.$this->dataObject->users->user->stats->cwcache.'</span>';            
              echo '</div>';
              echo '<div id="graph_'.$this->dataObject->users->user["name"].'" class="graph" style="height: 250px;"></div>';
              
              
              
              echo '<script>';
              echo 'var data = [';
    	      echo '{ label: "'.LNG_CLIENT_INFO_CW_OK.'", data: '.$this->dataObject->users->user->stats->cwok.',color:"#009900" },';
    	      echo '{ label: "'.LNG_CLIENT_INFO_CW_NOK.'", data: '.$this->dataObject->users->user->stats->cwnok.',color:"#FF0000"  },';
    	      echo '{ label: "'.LNG_CLIENT_INFO_CW_IGNORE.'", data: '.$this->dataObject->users->user->stats->cwignore.',color:"#FEC500"  },';
    	      echo '{ label: "'.LNG_CLIENT_INFO_CW_TIMEOUT.'", data: '.$this->dataObject->users->user->stats->cwtimeout.',color:"#FF8000"  },';
    	      echo '{ label: "'.LNG_CLIENT_INFO_CW_CWCACHE.'", data: '.$this->dataObject->users->user->stats->cwcache.',color:"#0000FF"  }';
    	      echo '];';
              echo '$.plot($("#graph_'.$this->dataObject->users->user["name"].'"), data,
              {
              series: {
              pie: {
                   show: true,
                   radius: 1,
                   tilt: 0.5,
                   label: {
                          show: true,
                          radius: 1,
                          formatter: function(label, series){
                                     return \'<div style="top:40px;font-size:8pt;text-align:center;padding:2px;color:white;">\'+label+\'<br/>\'+series.percent.toFixed(2).replace(/\./,",")+\'%</div>\';
                                     },
                          background: { opacity: 0.8 }
                          }
                   }
                },
              legend: {
                      show: false
                }
              });';
              echo '</script>';              
              }
    
             
     function getReaderDetail(){
     	        $threshold = ((float)str_replace(",",".",LOWER_THAN))/100;
     	        $labelThreshold = (LANGUAGE=="de")?number_format($threshold*100,1,",","."):number_format($threshold*100,1);
              echo '<div id="reader_info_label">'.LNG_READER_INFO_LABEL.':</div>';
              echo '<div id="reder_info_text">';
              echo LNG_READER_AKT_STATUS.'='.$this->dataObject->reader["status"].'  &bull;  ';
              echo LNG_READER_CAID.'='.$this->dataObject->reader["caid"];
              echo '</div>';
              
              echo '<div id="reader_info_label">'.LNG_READER_EMM_LABEL.':</div>';
              echo '<div id="reader_info_text">';
              echo LNG_READER_EMM_WRITTEN.'='.$this->dataObject->reader->emmstats["totalwritten"].'  &bull;  ';
              echo LNG_READER_EMM_SKIPPED.'='.$this->dataObject->reader->emmstats["totalskipped"].'  &bull;  ';
              echo LNG_READER_ECM_BLOCKED.'='.$this->dataObject->reader->emmstats["totalblocked"].'  &bull;  ';
              echo LNG_READER_ECM_ERROR.'='.$this->dataObject->reader->emmstats["totalerror"];
              echo '</div>';   
              
            
              foreach($this->dataObject->reader->ecmstats->ecm as $c) {
              	      if($c==0)continue;
                      $ch = (empty($c["channelname"]))?"UNKNOWN":$c["channelname"];
                      $stat = ($c["rcs"]=="found")?"OK":"NOK";
                      @$ergData[$stat][(String)$ch]+=$c;
                      }
              echo '</div>';
              
              echo '<div id="reader_info_label" class="reader_ok">ECM OK:</div>';
              echo '<div id="reader_'.$_GET["dg"].'" class="graph" style="width:97%"></div>';
              echo '<script>';
              echo 'var data = [';
              arsort($ergData["OK"]);
              while(list($key,$val) = each($ergData["OK"])){
                      $dataCw[] = '{ label: "'.$key.' ('.$val.')", data: '.$val.'}';
                      }
              echo implode(",\n",$dataCw)."\n";
              echo '];';
              echo '$.plot($("#reader_'.$_GET["dg"].'"), data,
              {
              series: {
              pie: {
                   show: true,
                   radius: 1,
                   label: {
                          show: true,
                          radius: 1,
                          formatter: function(label, series){
                                     return \'<div style="top:40px;font-size:8pt;text-align:center;padding:2px;color:white;">\'+label+\'<br/>\'+series.percent.toFixed(2).replace(/\./,",")+\'%</div>\';
                                     },
                          background: { opacity: 0.8 }
                          },
                   combine: {
                          color: \'#999\',
                          threshold: '.$threshold.',
                          label:\''.sprintf(LOWER_THAN_XPROZ,$labelThreshold).'%\'
                          }
                   }
                },
              legend: {
                      show: true
                }
              });';
              echo '</script>';               
     
              }
     function getEntitlements(){
     
              $cardlist =&$this->dataObject->reader->cardlist;
              echo '<div id="headerndex.php_ent">'.ACTIVE_CARDS.': '.$cardlist["totalcards"].'</div><br>';
              foreach($cardlist->card as $cards){
                      echo '<div style="width:60px">'.ONE_CARD.' '.($cards['number']+1).'</div>';
                      echo '<div style="width:50px">'.$cards['caid'].'</div>';
                      echo '<div style="width:100px">'.$cards['system'].'</div>';
                      echo '<div style="width:140px">';
                      foreach($cards->providers->provider as $prov){
                           echo $prov.'<br>';
                           }
                      echo '</div><br>';
                      echo '<div style="width:330px;margin:3px;height:1px;background:#000000"></div>';
                      

                      }  
              
              }

     function getPais(){

       	      $data = array();
              $data['page'] = $_POST["page"];
              $data['rows'] = array();
     	        $count = 0;
     	        
     	        foreach($this->dataObject->status->client as $c) {
     	        	      if(!empty($c['type']) && ($c['type'] == "p" || $c['type'] == "c")){
     	        	      	
     	        	      	
     	        	      if(!empty($_POST["query"]) && 
	                    (!stristr((String)$c['name'],$_POST["query"]) &&
	                     !stristr((String)$c['protocol'],$_POST["query"]))){
                        continue;
                       } 
                       
                       if(count($_SESSION["oscaminfo_auth"]["onlyclients"]) > 0 && $c['type'] == c){
	                       $showThisClient = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyclients"]);$iA++){
	                           $dasProto = explode(" ",(String)$c["protocol"]);
	                           if(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA])==(String)$c["name"] ||
	                              stristr(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA]),$dasProto[0]))$showThisClient = true;
	                           }
	                       if(!$showThisClient)continue;
	                       }                  

                       if(count($_SESSION["oscaminfo_auth"]["onlyreaders"]) > 0 && $c['type'] == p){
	                       $showThisReaders = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyreaders"]);$iA++){
	                           $dasProto = explode(" ",(String)$c["protocol"]);
	                           if(trim($_SESSION["oscaminfo_auth"]["onlyreaders"][$iA])==(String)$c["name"] ||
	                              trim($_SESSION["oscaminfo_auth"]["onlyreaders"][$iA])==$dasProto[0])$showThisReaders = true;
	                           }
	                       if(!$showThisReaders)continue;
	                       }                  
     	        	      	 
                         $pair[(String)$c->connection["ip"]][(String)$c['type']][] = '<b>'.(String)$c['name'].'</b> => '.(String)$c['protocol'];
                          }
                     }
              while(list($key,$value) = each($pair)){
              	    if(count($value)>1){
              	    	  $cells[] = array(
                                         "clientname"=>implode("<br>",$value["c"]), 
                                         "readername"=>implode("<br>",$value["p"]));
              	    	$count++;
              	    	}
              	    }

              $data['rows'] = $cells;
              $data['total'] = $count;
              
              echo json_encode($data);
            }
             
     function getReader(){

       	      $data = array();
              $data['page'] = $_POST["page"];
              $data['rows'] = array();
     	        $count = 0;
     	        $search = false;
     	        foreach($this->dataObject->status->client as $c) {
     	        	
                
                

                if(!empty($c['type']) && ($c['type'] == "r" || $c['type'] == "p")){
	                 $count++;    
	                 if($count > ($_POST["rows"]*$_POST["page"]) ||
	                    $count <= ($_POST["rows"]*($_POST["page"]-1))) continue;
	                    
	                    $strObject = (String)$c->request;
	                    $request = (empty($strObject))?$c->request["caid"].':'.$c->request["srvid"]:$strObject;
	                    $einLogo = $this->getLogo($c->request["caid"],$c->request["srvid"]);
	                    
	                    $request = ($request=="0000:0000")?"- - -":$request;
	                    
	                    if(count($_SESSION["oscaminfo_auth"]["onlyreaders"]) > 0){
	                       $showThisReader = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyreaders"]);$iA++){
	                           $dasProto = explode(" ",(String)$c["protocol"]);
	                           if(trim($_SESSION["oscaminfo_auth"]["onlyreaders"][$iA])==(String)$c["name"] ||
	                              trim($_SESSION["oscaminfo_auth"]["onlyreaders"][$iA])==$dasProto[0])$showThisReader = true;
	                           }
	                       if(!$showThisReader)continue;
	                       }                  
	                    
	                    
	                 if(!empty($_POST["query"]) && 
	                    (!stristr((String)$c['name'],$_POST["query"]) &&
	                     !stristr((String)$c['protocol'],$_POST["query"]) &&	                    
	                     !stristr($request,$_POST["query"]) &&	                    
	                     !stristr((String)$c->connection,$_POST["query"]) &&	                    
	                     !stristr((String)$c->times['login'],$_POST["query"]))){

	                     $search = true;	
	                     continue;
                            }                            

                        if(!@array_key_exists((String)$c['name'],$this->dieIps["reader"]) || 
                           $c->connection["ip"] != $this->dieIps["reader"][(String)$c['name']]["ip"] ||
                           $this->dieIps["reader"][(String)$c['name']]["iso"] == "proxy"){
                           $this->dieIps["reader"][(String)$c['name']]["iso"] = parent::getIp($c->connection["ip"]);   
                           $this->dieIps["reader"][(String)$c['name']]["ip"] = (String)$c->connection["ip"]; 
                           $this->dieIps["write_reader"] = true;
                        } 

                   $iso = '<img src="themes/flags/'.strtolower($this->dieIps["reader"][(String)$c['name']]["iso"]).'.png" align="absmiddle" alt="'.$GLOBALS["tld"][strtolower($this->dieIps["reader"][(String)$c['name']]["iso"])].'" title="'.$GLOBALS["tld"][strtolower($this->dieIps["reader"][(String)$c['name']]["iso"])].'">&nbsp;';
                   
                   $isEnt = (stristr((String)$c['name'],"cccam"))?'<a href="#" onClick="entitlements(\''.(String)$c['name'].'\')">'.(String)$c['name'].'</a>':(String)$c['name'];
                   
                   $request = ($einLogo)?'<a onMouseOver="tooltipOn(this)" onMouseOut="tooltipOff(this)" title="<img '.str_replace('"','\'',preg_replace('/(width|height)="[0-9]*"/i','',$einLogo)).'><br><center>'.str_replace(":","<br>",$request).'"><img '.$einLogo.'></center></a>':$request;
	                       
                 	 $cells[] = array(
                                               "identname"=>$isEnt, 
                                               "country"=>$iso, 
                                               "protocol"=>(String)$c['protocol'], 
                                               "request"=>$request, 
                                               "ecmtime"=>'<a href="#" onClick="cakeIt(\''.(String)$c->request["ecmhistory"].'\',\''.(String)$c['name'].'\')">'.(String)$c->request["ecmtime"].'</a>',
                                               "connection"=>"<span class=\"reader_".strtolower((String)$c->connection)."\">".(String)$c->connection."</span>",
                                               "loggedin"=>strtotime((String)$c->times['login']));
                    
                    }
                 }
              $data['rows'] = $cells;
              $data['total'] = ($search)?count($cells):$count;
              
              parent::writeIps("reader");
              
              echo json_encode($data);
     	        }
     	        
     function getClients(){
              
       	      $data = array();
              $data['page'] = $_POST["page"];
              $data['rows'] = array();
     	        $count = 0;
     	        $search = false;
     	        
     	        foreach($this->dataObject->status->client as $c) {
                
                if(!empty($c['type']) && ($c['type'] == "c")){

	                    
	                    
	                    $strObject = (String)$c->request;
	                    $request = (empty($strObject))?$c->request["caid"].':'.$c->request["srvid"]:$strObject;
	                    
	                    $request = ($request=="0000:0000")?"- - -":$request;	 
	                    $einLogo = $this->getLogo($c->request["caid"],$c->request["srvid"]);
    
                        if(count($_SESSION["oscaminfo_auth"]["onlyclients"]) > 0){
	                       $showThisClient = false;
	                       for($iA=0;$iA<count($_SESSION["oscaminfo_auth"]["onlyclients"]);$iA++){
	                           $dasProto = explode(" ",(String)$c["protocol"]);
	                           if(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA])==(String)$c["name"] ||
	                              stristr(trim($_SESSION["oscaminfo_auth"]["onlyclients"][$iA]),$dasProto[0]))$showThisClient = true;
	                           }
	                       if(!$showThisClient)continue;
	                       }                  

	                    
	                 if(!empty($_POST["query"]) && 
	                    (!stristr((String)$c['name'],$_POST["query"]) &&
	                     !stristr((String)$c['protocol'],$_POST["query"]) &&	                    
	                     !stristr($request,$_POST["query"]) &&	                    
	                     !stristr((String)$c->connection,$_POST["query"]) &&	                    
	                     !stristr((String)$c->times['login'],$_POST["query"]))){

	                     $search = true;	
	                     continue;
                            }
                            
                        if(!@array_key_exists((String)$c['name'],$this->dieIps["clients"]) || 
                           $c->connection["ip"] != $this->dieIps["clients"][(String)$c['name']]["ip"] ||
                           $this->dieIps["clients"][(String)$c['name']]["iso"] == "proxy"){
                           $this->dieIps["clients"][(String)$c['name']]["iso"] = parent::getIp($c->connection["ip"]);   
                           $this->dieIps["clients"][(String)$c['name']]["ip"] = (String)$c->connection["ip"]; 
                           $this->dieIps["write_clients"] = true;
                        }                         
                            
                        $min = (int)$c->times["idle"];
                    
                   $rand = mt_rand(1000,9999)/10000;
                   
                         
                   $derKey = (((int)$c->times['idle'])+$rand);      
                   
                   $isOk = ((String)$c->request["answered"]=="" ||
                            (String)$c->request["answered"]=="not found" ||  
                            (String)$c->request["answered"]=="timeout")?'<span class="reader_error">[NOK]</span>':'<span class="reader_ok">[OK]</span>';
                            
                   $isOk = ($request=="- - -")?"":$isOk;
                   
                   $requestLogo = ($einLogo)?'<span onMouseOver="tooltipOn(this)" onMouseOut="tooltipOff(this)" title="<img '.str_replace('"','\'',preg_replace('/(width|height)="[0-9]*"/i','',$einLogo)).'><br><center>'.str_replace(":","<br>",$request).'</center>"><img '.$einLogo.' align="absmiddle"></span>':$request;                   
                   $iso = '<img src="themes/flags/'.strtolower($this->dieIps["clients"][(String)$c['name']]["iso"]).'.png" align="absmiddle" alt="'.$GLOBALS["tld"][strtolower($this->dieIps["clients"][(String)$c['name']]["iso"])].'" title="'.$GLOBALS["tld"][strtolower($this->dieIps["clients"][(String)$c['name']]["iso"])].'">&nbsp;';

                   $cells["$derKey"] = array(
                                               "identname"=>(String)$c['name'], 
                                               "country"=>$iso, 
                                               "protocol"=>(String)$c['protocol'], 
                                               "request"=>$isOk.' <a href="#" onClick="whosReq(\''.sprintf(REQ_TITEL,(String)$c["name"],$request).'\',\''.sprintf(REQ_BODY,(String)$c->request["caid"],(String)$c->request["srvid"],(String)$c->request["answered"]).'\')">'.$requestLogo.'</span>', 
                                               "ecmtime"=>'<a href="#" onClick="cakeIt(\''.(String)$c->request["ecmhistory"].'\',\''.(String)$c['name'].'\')">'.(String)$c->request["ecmtime"].'</a>',
                                               "connection"=>"<span class=\"reader_".strtolower((String)$c->connection)."\">".(String)$c->connection."</span>",
                                               "lastactivity"=>$min,                                               
                                               "loggedin"=>strtotime((String)$c->times['login']));
                    
                    }
                 }
              ksort($cells);
              while(list($key,$value) = each($cells)){
                    $count++;    
	            if($count > ($_POST["rows"]*$_POST["page"]) ||
	               $count <= ($_POST["rows"]*($_POST["page"]-1))) continue;
                       $data['rows'][] = $value;
                    }

                 
              $data['total'] = ($search)?count($data['rows']):$count;
              
              parent::writeIps("clients");
              echo json_encode($data);
     	        }     	        

}
?>
