<?php
session_start();

class auth{

    private $authData;
    public $errortext = "Login";
    public $sizeFaktor;
    
    function __construct(){
    
            if(isset($_GET["logoff"])){
               session_destroy();
               session_start();
               setcookie("aktReader", "");
               }
    
            if(!empty($_POST["user"]) && !empty($_POST["pass"])) $this->doAuth();
    
            if(isset($_SESSION["oscaminfo_auth"])) $this->authData = $_SESSION["oscaminfo_auth"];
            $this->calcSizes(SCREEN_SIZE);
            
            }
             
    function isAuth(){
             return (is_array($this->authData))?true:false;
             }
             
    function isTab($tab){
             return (in_array($tab,$this->authData["tabs"]))?true:false;
             }
             
    function doAuth(){
             require("config.user.php");
             require("config.oscam.php");

             $array = @$user[$_POST["user"]];
             if(!is_array($array)){
                unset($_SESSION["oscaminfo_auth"]);
                $this->errortext = LOGIN_FAILED;
                return;
                }

             if($array["password"] != $_POST["pass"]){
                unset($_SESSION["oscaminfo_auth"]);
                $this->errortext = LOGIN_FAILED;
                return;             
                }
                
             $oscams = explode(",",$array["oscam"]);
             $array["tabs"] = explode(",",$array["tabs"]);
             $array["onlyclients"] = isset($array["onlyclients"])?explode(",",$array["onlyclients"]):array();
             $array["onlyreaders"] = isset($array["onlyreaders"])?explode(",",$array["onlyreaders"]):array();
             for($i=0;$i<count($oscams);$i++){
                 $o[$oscams[$i]] = $server[$oscams[$i]];
                 }
             
             $array["oscam"] = $o;
             
             $_SESSION["oscaminfo_auth"] = $array;
             }

    function getOscams($einer=true){
             $oscams = $this->authData["oscam"];
             if(!is_array($oscams))return;
             while(list($key,$val)=each($oscams)){

                   $icon = ($val["ssl"])?'<img border="0" title="SSL WebIF" alt="SSL WebIF" align="absmiddle" src="themes/icons/lock.gif">':'';

                   if($einer){
                      echo $key.' ('.$icon.trim($val["url"]).')';
                      break;
                      }
                   else{
                      echo '<a href="#" onClick="changeServer(\''.$key.'\',\''.$val["url"].'\',\''.str_replace('"','\\\'',$icon).'\')">'.$key.' ('.$icon.trim($val["url"]).')</a><br>';
                    }
                   }

             }
    function calcSizes($size=775){
             $size = ($size=="full")?$_POST["fullscreen"]:$size;
             if(is_NaN($size) || $size==0)$size = 755;
             $erg = floor($size / (775 / 100));
             $this->sizeFaktor = $erg/100;
             }
             
    function sortable($withLastActivity=true){
             
             if(empty($_SESSION["oscaminfo_auth"]["sort"]))return;
    
             $sorts = explode("_",$_SESSION["oscaminfo_auth"]["sort"]);
             
             if($sorts[0] == "lastactivity" && !$withLastActivity) return;
             
             echo "sortName=\"".$sorts[0]."\" ";
             echo "sortOrder=\"".$sorts[1]."\"";
             
             }
    
}
